NopCommerce 2.4! Кто что скажет хорошего или не очень об данном релизе???

Опубликовано: 7 years ago Цитировать #760
Ваше мнение? если есть что сказать пишите, если нет сама напишу, возможно через недельку!
Опубликовано: 7 years ago Цитировать #761
Пользуюсь ещё 1,9 функционала хватает.
и не настолько большой трафик, что бы понадобилась технология MVC.

О плюсах сам бы очень хотел почитать. Мб и апгрейд сделаю :)
Опубликовано: 7 years ago Цитировать #764
vera wrote:
Ваше мнение? если есть что сказать пишите, если нет сама напишу, возможно через недельку!

Как всегда две новости после upgrade с 2.3 на 2.4:
Хорошая:
1. Апгрейт по readme идет без проблем (но рекомендую вместо Backup your existing database просто сделать копию БД) иногда полезно иметь рабочий предыдущий релиз.
2. Русский язык остался на месте.
3. Вернули  нормальный НТМл редактор...
Плохая:
1. Использовал nivo-slider слетел ... естественно и остальные ...
... короче все как обещали.
Пошел искать поддержку мобильных устройств - Mobile device support (disabled by default) хочется взглянуть через Galax Tab на обещанное чудо.


... Да чуда не получилось на http://localhost:7725 после upgrade и включения Mobile devices supported жмем кнопку
Сохранить а в ответ:
Server Error in '/' Application.
Index (zero based) must be greater than or equal to zero and less than the size of the argument list.
Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.

Exception Details: System.FormatException: Index (zero based) must be greater than or equal to zero and less than the size of the argument list.

Source Error:

Line 157:
Line 158:            comment = CommonHelper.EnsureNotNull(comment);
Line 159:            comment = string.Format(comment, commentParams);
Line 160:            comment = CommonHelper.EnsureMaximumLength(comment, 4000);
Line 161:


Source File: D:\nopCommerce 2 40\nopCommerce_2.40_Source\Libraries\Nop.Services\Logging\CustomerActivityService.cs    Line: 159

Похoже придется запускать install...а может на http://localhost и не должно?
Опубликовано: 7 years ago Цитировать #765
asaua wrote:
Пользуюсь ещё 1,9 функционала хватает.
и не настолько большой трафик, что бы понадобилась технология MVC.

О плюсах сам бы очень хотел почитать. Мб и апгрейд сделаю :)

а причем трафик?

MVC - все все другое - синтаксис ... и плюс java от третьих разработчиков в инсталляции 2.4 старая версия telerik от Nov 16, 2011 Q3 2011 (version 2011.3.1115.0) вот и думай, обновлять или нет до Feb 15, 2012 Q1 2012 (version 2012.1.214.0) , при каждом запуске VS 2010 или он тебя уже сам(вся админка на telerik). Короче  ...только вперед:)
Опубликовано: 7 years ago Цитировать #766
В общем позиция ясна. Значит разгребусь с бухгалтерией и буду обновляться.
Опубликовано: 6 years ago Цитировать #772
abch wrote:

Как всегда две новости после upgrade с 2.3 на 2.4:
Хорошая:
1. Апгрейт по readme идет без проблем (но рекомендую вместо Backup your existing database просто сделать копию БД) иногда полезно иметь рабочий предыдущий релиз.
2. Русский язык остался на месте.
3. Вернули  нормальный НТМл редактор...
Плохая:
1. Использовал nivo-slider слетел ... естественно и остальные ...
... короче все как обещали.
Пошел искать поддержку мобильных устройств - Mobile device support (disabled by default) хочется взглянуть через Galax Tab на обещанное чудо.


... Да чуда не получилось на http://localhost:7725 после upgrade и включения Mobile devices supported жмем кнопку
Сохранить а в ответ:
Server Error in '/' Application.
Index (zero based) must be greater than or equal to zero and less than the size of the argument list.
Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.

Exception Details: System.FormatException: Index (zero based) must be greater than or equal to zero and less than the size of the argument list.

Source Error:

Line 157:
Line 158:            comment = CommonHelper.EnsureNotNull(comment);
Line 159:            comment = string.Format(comment, commentParams);
Line 160:            comment = CommonHelper.EnsureMaximumLength(comment, 4000);
Line 161:


Source File: D:\nopCommerce 2 40\nopCommerce_2.40_Source\Libraries\Nop.Services\Logging\CustomerActivityService.cs    Line: 159

Похoже придется запускать install...а может на http://localhost и не должно?


"1. Использовал nivo-slider слетел ... естественно и остальные ..."
Проблема в этом новом HTML редакторе. Если вставлять просто элементы без внешних блоков, то он сам добавляет <p> <div>
Если вы вставляете просто элементы, вставляйте с блочными (теми, который должны идти до ссылок или картинок). Используйте Nivo slider только как в примерах на официальном сайте.
Опубликовано: 6 years ago Цитировать #778
abch wrote:


Пошел искать поддержку мобильных устройств - Mobile device support (disabled by default) хочется взглянуть через Galax Tab на обещанное чудо.
... Да чуда не получилось на http://localhost:7725 после upgrade и включения Mobile devices supported жмем кнопку
Сохранить а в ответ:
Server Error in '/' Application.
Index (zero based) must be greater than or equal to zero and less than the size of the argument list.


Похoже придется запускать install...а может на http://localhost и не должно?


... и все таки "чудо" ЕСТЬ - и я видел ...
1. Установка install 2.4 на хост. + последний русский  с офф. сайта (тому кто делал русский конечно респект, НО зачет, то что было нормально переведено .... !!!???
... или хотя бы длину (строк) перевода, если двух язычный сайт то ... не комфорт.
Public store | Clear cache | Restart application
Просмотр | Очистить кэш | Перезагрузить приложение
....
Быстро включил Mobile device support (disabled by default)
2. Мобильная версия на Galaxy Tab p1000 - смотрится и работает ... ну оч. понравилось!
Для постоянного и мобильного клиента магазина - оч. ХОРОШО

3. Мобильная версия на iPad - смотрится и работает ...  понравилось(но шрифт мелковат)!
Для постоянного и мобильного клиента магазина -  ХОРОШО(но похоже на iPad  лучше полная версия)

romeo wrote:


Проблема в этом новом HTML редакторе. ...

... да нет он в 1.9 был  и end-usery наравится функционал и интерфейс..